# Uses of Class
org.eclipse.core.runtime.Preferences

Packages that use Preferences
Package
Description
org.eclipse.ant.core
Provides support for running the Ant build tool in the platform.
org.eclipse.core.runtime
Provides support for the runtime platform, core utility methods and the extension registry.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.

## Uses of Preferences in org.eclipse.ant.core

Methods in org.eclipse.ant.core with parameters of type Preferences
Modifier and Type
Method
Description
`protected Property[]`
AntCorePreferences.`extractProperties(Preferences prefs, String[] properties)`
`protected Task[]`
AntCorePreferences.`extractTasks(Preferences prefs, String[] tasks)`
`protected Type[]`
AntCorePreferences.`extractTypes(Preferences prefs, String[] types)`
`protected void`
AntCorePreferences.`updateAdditionalEntries(Preferences prefs)`
`protected void`
AntCorePreferences.`updateAntHomeEntries(Preferences prefs)`
`protected void`
AntCorePreferences.`updateProperties(Preferences prefs)`
`protected void`
AntCorePreferences.`updatePropertyFiles(Preferences prefs)`
`protected void`
AntCorePreferences.`updateTasks(Preferences prefs)`
`protected void`
AntCorePreferences.`updateTypes(Preferences prefs)`

## Uses of Preferences in org.eclipse.core.runtime

Methods in org.eclipse.core.runtime that return Preferences
Modifier and Type
Method
Description
`final Preferences`
Plugin.`getPluginPreferences()`
Deprecated.
Replaced by `IEclipsePreferences`.

## Uses of Preferences in org.eclipse.ui.editors.text

Methods in org.eclipse.ui.editors.text that return Preferences
Modifier and Type
Method
Description
`static Preferences`
EditorsUI.`getPluginPreferences()`
Deprecated.
As of 3.5, replaced by `EditorsUI.getPreferenceStore()`